$(document).ready(function() {

	// verifica se existe o cep no BD ou WS Correios e retorna para o form
	$('input[name*=ds_cep]').on('change', function(){
		var cep = $(this).val();
		console.log("consultando CEP:" + cep);

		$.ajax({
			url : "http://global.codecrm.com.br/inc/consulta_cep.php", 
			type : 'GET',
			data : {
			   	key : cep
				},
			dataType: 'json',
			cache: false,
			timeout: 100000,
                success: function (data) { 
                	var ds_logradouro = data.ds_logradouro;
                    var ds_bairro     = data.ds_bairro;
                    var ds_cidade     = data.ds_cidade;
                    var ds_uf         = data.ds_uf;
                    var id_municipio  = data.id_municipio;
                    var id_pais       = data.id_pais;

                    $(".getCep_ds_logradouro").val("");
					$(".getCep_ds_bairro").val("");
					$(".getCep_ds_municipio").val("");
					$(".getCep_ds_uf").val("");
					$(".getCep_id_municipio").val("");
					$(".getCep_id_pais").val("");

                    if(data.error){
                    	noty({text: data.error, type: 'error', timeout: 5000});
                    }else{
                    	$(".getCep_ds_logradouro").val(ds_logradouro);
						$(".getCep_ds_bairro").val(ds_bairro);
						$(".getCep_ds_municipio").val(ds_cidade);
						$(".getCep_ds_uf").val(ds_uf);
						$(".getCep_id_municipio").val(id_municipio);
						$(".getCep_id_pais").val(id_pais);
                    }
                },
				error: function (jqXHR, exception) {
				    var msg = '';
			        if (jqXHR.status === 0) {
			            msg = 'Not connect.\n Verify Network.';
			        } else if (jqXHR.status == 404) {
			            msg = 'Requested page not found. [404]';
			        } else if (jqXHR.status == 500) {
			            msg = 'Internal Server Error [500].';
			        } else if (exception === 'parsererror') {
			            msg = 'Requested JSON parse failed.';
			        } else if (exception === 'timeout') {
			            msg = 'Time out error.';
			        } else if (exception === 'abort') {
			            msg = 'Ajax request aborted.';
			        } else {
			            msg = 'Uncaught Error.\n' + jqXHR.responseText;
			        }
			        console.log("Erro ao consultar CEP:" + msg);
				}		
		});
	});
	
}(jQuery));